Page MenuHomePhabricator

Incorrect encoding of search query in AWB can produce non-working search query
Closed, ResolvedPublic

Event Timeline

Reedy created this task.Mar 15 2015, 8:47 PM
Reedy raised the priority of this task from to Needs Triage.
Reedy updated the task description. (Show Details)
Reedy added a subscriber: Reedy.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 15 2015, 8:47 PM
Restricted Application added a project: Discovery. · View Herald TranscriptAug 22 2015, 8:51 PM
Deskana renamed this task from Encoding of elements used in search query to Incorrect encoding of search query in AWB can produce non-working search query.Dec 29 2015, 10:54 PM
Deskana set Security to None.
Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptDec 29 2015, 10:54 PM
Deskana moved this task from Needs triage to Tracking on the Discovery board.Dec 29 2015, 10:54 PM
Deskana moved this task from Uncategorised to Technical on the CirrusSearch board.Jan 12 2016, 9:13 PM
jayvdb added a subscriber: jayvdb.Jan 13 2016, 3:31 AM
Restricted Application added a project: Discovery-Search. · View Herald TranscriptJul 31 2016, 11:44 PM
Deskana added a subscriber: Deskana.

Removing Discovery-Search (Current work) as this primarily appears to be a problem with a client's encoding rather than anything on our end.

Rjwilmsi closed this task as Resolved.Jul 22 2017, 1:08 PM
Rjwilmsi claimed this task.
Rjwilmsi added a subscriber: Rjwilmsi.

Working now:

Raw search for insource:/\<center\>\<gallery/i

Gives 908 results on en-wp search box for mainspace

Wiki search (text) in AWB gives same number, URL it uses is:

https://en.wikipedia.org/w/api.php?action=query&format=xml&list=search&srwhat=text&srsearch=insource%3a%2f%5c%3ccenter%5c%3e%5c%3cgallery%2fi&srlimit=max&rawcontinue=1

Probably fixed by rev 12122 for T147291